{{define "transaction-new"}}
    <div id="newtransactionmodal" class="modal fade">
        <div class="modal-dialog" role="document">
            <script>        
                $(document).ready(function () {
                    $('#errorcreatingtransaction').hide();
                    $('#newtransactionform').ajaxForm({
                        error: function() {
                            $('#errorcreatingtransaction').show();
                        }
                    }); 
                }); 
            </script>
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">New Transaction</h5>
                    <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form id="newtransactionform" action="/api/v1/transaction/new" method="POST">
                    <div class="modal-body">
                        <input type="hidden" name="account_id" value="{{.Account.ID}}" />
                        <div class="form-group">
                            <label for="category_id">Category</label>
                            <select name="category_id" class="form-control">
                                <option value="">-- none --</option>
                                {{range .Categories}}
                                    <option value="{{.ID}}">{{.Group}} : {{.Name}}</option>
                                {{end}}
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="date">Date</label>
                            <input type="date" name="date" class="form-control" value="{{now.Format "2006-01-02"}}" />
                        </div>
                        <div class="form-group">
                            <label for="memo">Memo</label>
                            <input type="text" name="memo" class="form-control" />
                        </div>
                        <div class="form-group">
                            <label for="amount">Amount</label>
                            <input type="number" name="amount" class="form-control" placeholder="0.00" />
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <input type="submit" class="btn btn-primary" value="Create" class="form-control" />
                    </div>
                </form>
            </div>
        </div>
    </div>
{{end}}